Bug 105468 - Radiant P845 does not have LVDS, only VGA
Summary: Radiant P845 does not have LVDS, only VGA
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL: https://patchwork.freedesktop.org/pat...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-12 23:04 UTC by Ondrej Zary
Modified: 2018-06-20 08:22 UTC (History)
1 user (show)

See Also:
i915 platform: I85X
i915 features: display/LVDS


Attachments
dmesg with drm.debug=14 (55.31 KB, text/plain)
2018-03-12 23:04 UTC, Ondrej Zary
no flags Details
BIOS dump (64.00 KB, application/octet-stream)
2018-04-24 21:46 UTC, Ondrej Zary
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ondrej Zary 2018-03-12 23:04:45 UTC
Created attachment 138046 [details]
dmesg with drm.debug=14

Radiant Systems P845 has no LVDS (only a VGA port) but BIOS keeps LVDS enabled.

/sys/kernel/debug/dri/0/i915_vbt is empty.
Comment 1 Elizabeth 2018-03-13 16:54:05 UTC
Isn't this a BIOS issue?
Comment 2 Ondrej Zary 2018-03-13 19:54:19 UTC
It probably is - but nobody will fix it. The machine is old, there's no support. And it works in Windows.
That's why I wrote the patch (see the URL).
Comment 3 Jani Saarinen 2018-03-29 07:11:04 UTC
First of all. Sorry about spam.
This is mass update for our bugs. 

Sorry if you feel this annoying but with this trying to understand if bug still valid or not.
If bug investigation still in progress, please ignore this and I apologize!

If you think this is not anymore valid, please comment to the bug that can be closed.
If you haven't tested with our latest pre-upstream tree(drm-tip), can you do that also to see if issue is valid there still and if you cannot see issue there, please comment to the bug.
Comment 4 Rodrigo Vivi 2018-04-10 17:52:55 UTC
VBT is there...
Maybe you don't have the debugfs configured and mounted?
[    6.084841] [drm:intel_bios_init] VBT signature "$VBT MONTARA-GM     ", BDB version 114

But yeap, something odd with the VBT there:
[    6.084883] [drm:intel_opregion_get_panel_type] Failed to get panel details from OpRegion (-19)

What is strangest is that LVDS detection not only comes from VBT, but also is detected as connected later.

Anyways, what is the issue itself? 

I see that VGA is also detected and connected.

Is it a blank screen kind of issue? Is it a regression?

Did you try to manually force mode changes from userspace?
Comment 5 Ville Syrjala 2018-04-11 04:17:23 UTC
(In reply to Rodrigo Vivi from comment #4)
> VBT is there...
> Maybe you don't have the debugfs configured and mounted?
> [    6.084841] [drm:intel_bios_init] VBT signature "$VBT MONTARA-GM     ",
> BDB version 114

Old platforms don't have opregion, so our debugfs based VBT dumper doesn't work. One needs to use intel_bios_dumper from intel-gpu-tools. We should probably fix the debugfs code to dtrt on these platforms as well...

> 
> But yeap, something odd with the VBT there:
> [    6.084883] [drm:intel_opregion_get_panel_type] Failed to get panel
> details from OpRegion (-19)
> 
> What is strangest is that LVDS detection not only comes from VBT, but also
> is detected as connected later.

The lack of opregion explains that too I believe. Although the logic is quite convoluted so you have to read the code rather carefully to see it.
Comment 6 Jani Nikula 2018-04-11 10:16:38 UTC
Related to [1] where I asked for the bug to be filed.

[1] http://patchwork.freedesktop.org/patch/msgid/20180309222204.4771-1-linux@rainbow-software.org
Comment 7 Jani Nikula 2018-04-11 13:01:52 UTC
Based on the clues in the dmesg, the VBT seems interesting.

Ondrej, could you attach the intel_bios_dumper result please? The tool is available in the intel-gpu-tools package https://cgit.freedesktop.org/drm/igt-gpu-tools/
Comment 8 Ondrej Zary 2018-04-24 21:46:24 UTC
Created attachment 139076 [details]
BIOS dump
Comment 9 Jani Saarinen 2018-05-04 12:23:56 UTC
Jani, does this info provide clues?
Comment 10 Jani Nikula 2018-05-08 08:44:19 UTC
Please try [1]. Based on the VBT I think this should work, without quirks.

[1] http://patchwork.freedesktop.org/patch/msgid/20180504141349.5878-1-ville.syrjala@linux.intel.com
Comment 11 Jani Saarinen 2018-05-17 08:55:22 UTC
Reporter, can you test patch mentioned by Jani.
Comment 12 Ondrej Zary 2018-05-17 21:09:26 UTC
The patch is incorrect: https://www.spinics.net/lists/intel-gfx/msg165434.html
Comment 13 Ville Syrjala 2018-05-18 14:43:28 UTC
DMI quirk merged so marking as fixed.

commit 7f7105f99b75aca4f8c2a748ed6b82c7f8be3293
Author: Ondrej Zary <linux@rainbow-software.org>
Date:   Fri Mar 9 23:22:04 2018 +0100

    drm/i915: Disable LVDS on Radiant P845
Comment 14 Jani Saarinen 2018-06-04 11:08:18 UTC
Ondrej, are you able to verify?
Comment 15 Ondrej Zary 2018-06-04 20:41:32 UTC
I confirm that the bug is fixed in kernel 4.17.
Comment 16 Radosław Szwichtenberg 2018-06-20 08:22:48 UTC
Thanks! Closing as fixed.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.